Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.validators.schema.identity
Interface FieldActivator

All Known Implementing Classes:
  XMLValidator

public interface FieldActivator

Interface for a field activator. The field activator is responsible for activating fields within a specific scope; the caller merely requests the fields to be activated.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Version:
  $Id: FieldActivator.java,v 1.3 2001/06/14 22:23:43 neilg Exp $
Author:
  Andy Clark, IBM

Method Summary
`XPathMatcher` | `activateField(Field field)` Request to activate the specified field.
`void` | `endValueScopeFor(IdentityConstraint identityConstraint)` Ends the value scope for the specified identity constraint.
`void` | `startValueScopeFor(IdentityConstraint identityConstraint)` Start the value scope for the specified identity constraint.

Method Detail

### startValueScopeFor

    public void startValueScopeFor(IdentityConstraint identityConstraint)
                            throws java.lang.Exception

  Start the value scope for the specified identity constraint. This method is called when the selector matches in order to initialize the value store.

  Parameters:
    `identityConstraint` - The identity constraint.

### activateField

    public XPathMatcher activateField(Field field)
                               throws java.lang.Exception

  Request to activate the specified field. This method returns the matcher for the field. It's also important for the implementor to ensure that the Field realizes that it is permitted to match a value--that is, to call the field's setMayMatch(boolean) method.

  Parameters:
    `field` - The field to activate.

### endValueScopeFor

    public void endValueScopeFor(IdentityConstraint identityConstraint)
                          throws java.lang.Exception

  Ends the value scope for the specified identity constraint.

  Parameters:
    `identityConstraint` - The identity constraint.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference